Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class AggregationDetails

    java.lang.Object
      org.jboss.soa.esb.actions.AggregationDetails

    public class AggregationDetails

extends java.lang.Object

Aggregation Details.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`AggregationDetails(java.lang.String aggregatorTag)`
`AggregationDetails(java.lang.String seriesUuid, int messageNumber, int seriesSize, long seriesTimestamp)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getMessageNumber()`
`int` | `getSeriesSize()`
`long` | `getSeriesTimestamp()`
`java.lang.String` | `getSeriesUuid()`
`java.lang.String` | `getSplitId()`
`int` | `hashCode()`
`void` | `setSplitId(java.lang.String splitId)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AggregationDetails

    public AggregationDetails(java.lang.String seriesUuid,
                              int messageNumber,
                              int seriesSize,
                              long seriesTimestamp)

### AggregationDetails

    public AggregationDetails(java.lang.String aggregatorTag)

Method Detail

### getSeriesUuid

    public java.lang.String getSeriesUuid()

### getSeriesSize

    public int getSeriesSize()

### getMessageNumber

    public int getMessageNumber()

### getSeriesTimestamp

    public long getSeriesTimestamp()

### getSplitId

    public java.lang.String getSplitId()

### setSplitId

    public void setSplitId(java.lang.String splitId)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD